Subject: Re: bug#70939: [PATCH] Add commands to run unit tests in go-ts-mode

From: Ankit Gadiya <[email-masked]>
Date: Sat, 18 May 2024 14:25:14 +0530

> I've played around a little bit and noticed an issue when using go-ts-mode-test-function-at-point:
> - When there is no region selected, the test could run more than the function at point
>   if any function names are the same but differ in suffixes (e.g. TestQuack and TestQuackMoo
>   would both run if invoked inside just TestQuack). The same applies to when a region is
>   selected. Everything within the region is run, and potentially stuff outside of it too.
>   We need to make the regex strictly the functions we want to run with '^TestQuack$'.

Thanks for trying out the patch. Yes, I now see how it can capture functions
with the same prefix. I will make the regexp stricter and update the
sample_test.go as well with common prefix examples.

--
Ankit